curl --request POST \
--url https://api.example.com/api/v2/projects/{project_id}/agent-datasets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": null,
"compatible_agent_ids": null,
"tags": null
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"compatible_agent_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"tags": null
}Create a new dataset for agent-level testing. Use to organize test cases for evaluating full agent workflows.
curl --request POST \
--url https://api.example.com/api/v2/projects/{project_id}/agent-datasets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": null,
"compatible_agent_ids": null,
"tags": null
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"compatible_agent_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"tags": null
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
AgentDatasetResponse(id: uuid.UUID, name: str, description: Optional[str], compatible_agent_ids: list[uuid.UUID], tags: list[server.api_routes.agent_datasets_api_v2.TagResponse] = None)